# Class Page

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a page.

    public class Page

Inheritance
  object
  Page

Derived
  Page<T>

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### FirstId

The id of the first item in the page.

    [JsonPropertyName("first_id")]
    public string? FirstId { get; init; }

#### Property Value

string

### HasMore

Indicates whether there is more data to be retrieved.

    [JsonPropertyName("has_more")]
    public bool HasMore { get; init; }

#### Property Value

bool

### LastId

The id of the last item in the page.

    [JsonPropertyName("last_id")]
    public string? LastId { get; init; }

#### Property Value

string